Subject: [bess] MPLS Label value 3 in <draft-dawra-bess-srv6-services-00>

From: Xiejingrong <[email-masked]>
Date: Thu, 27 Jun 2019 11:56:31 +0000

Hi folks,

One question about MPLS Label value 3 used in <draft-dawra-bess-srv6-services-00>:

the Label value in any service route NLRI encoding MUST be set to Implicit NULL [RFC3032].

Label = Implicit NULL

I think the more common use of MPLS Label to represent "invalid" is to use zero, as in RFC7432 and RFC6556.

Why this document use value 3 (Implicit NULL as defined in RFC3032) ?

Thanks
Jingrong

---

From: Xiejingrong <[email-masked]>
Date: Thu, 27 Jun 2019 14:12:18 +0000

s/6556/8556/g

7432 section 8.2.1
The MPLS label in the NLRI MUST be set to 0.

8556 section 3
The MPLS label field SHOULD be set to zero.
From:Xiejingrong <[email-masked]>
To:[email-masked] <[email-masked]>;[email-masked] <[email-masked]>
Date:2019-06-27 19:57:30
Subject:[bess] MPLS Label value 3 in

Hi folks,

Label = Implicit NULL

I think the more common use of MPLS Label to represent “invalid” is to use zero, as in RFC7432 and RFC6556.

Thanks
Jingrong